Project

Profile

Help

Issue #8765

pulp installation on CentOS 7 or 8

Added by Gregory 8 months ago. Updated 8 months ago.

Status:
CLOSED - DUPLICATE
Priority:
Normal
Assignee:
-
Category:
Installer - Moved to GitHub issues
Sprint/Milestone:
-
Start date:
Due date:
Estimated time:
Severity:
3. High
Version:
Master
Platform Release:
OS:
CentOS 7
Triaged:
No
Groomed:
No
Sprint Candidate:
No
Tags:
Sprint:
Quarter:

Description

Hello! When I try install pulp 3 using ansible installer I've got error:

RUNNING HANDLER [pulp.pulp_installer.pulp_common : Collect static content] **************************************************************************************************************************************** fatal: [localhost]: FAILED! => {"changed": true, "cmd": ["/usr/local/lib/pulp/bin/pulpcore-manager", "collectstatic", "--noinput", "--link"], "delta": "0:00:03.764205", "end": "2021-05-15 15:31:32.305075", "msg": "non-zero return code", "rc": 1, "start": "2021-05-15 15:31:28.540870", "stderr": "Traceback (most recent call last):\n File "/usr/local/lib/pulp/bin/pulpcore-manager", line 8, in \n sys.exit(manage())\n File "/usr/local/lib/pulp/lib64/python3.6/site-packages/pulpcore/app/manage.py", line 11, in manage\n execute_from_command_line(sys.argv)\n File "/usr/local/lib/pulp/lib64/python3.6/site-packages/django/core/management/init.py", line 381, in execute_from_command_line\n utility.execute()\n File "/usr/local/lib/pulp/lib64/python3.6/site-packages/django/core/management/init.py", line 357, in execute\n django.setup()\n File "/usr/local/lib/pulp/lib64/python3.6/site-packages/django/init.py", line 24, in setup\n apps.populate(settings.INSTALLED_APPS)\n File "/usr/local/lib/pulp/lib64/python3.6/site-packages/django/apps/registry.py", line 122, in populate\n app_config.ready()\n File "/usr/local/lib/pulp/lib64/python3.6/site-packages/pulpcore/app/apps.py", line 189, in ready\n super().ready()\n File "/usr/local/lib/pulp/lib64/python3.6/site-packages/pulpcore/app/apps.py", line 94, in ready\n self.import_viewsets()\n File "/usr/local/lib/pulp/lib64/python3.6/site-packages/pulpcore/app/apps.py", line 127, in import_viewsets\n from pulpcore.app.viewsets import NamedModelViewSet\n File "/usr/local/lib/pulp/lib64/python3.6/site-packages/pulpcore/app/viewsets/init.py", line 1, in \n from .base import ( # noqa\n File "/usr/local/lib/pulp/lib64/python3.6/site-packages/pulpcore/app/viewsets/base.py", line 17, in \n from pulpcore.app import tasks\n File "/usr/local/lib/pulp/lib64/python3.6/site-packages/pulpcore/app/tasks/init.py", line 5, in \n from .importer import pulp_import # noqa\n File "/usr/local/lib/pulp/lib64/python3.6/site-packages/pulpcore/app/tasks/importer.py", line 37, in \n from pulpcore.tasking.tasks import dispatch\n File "/usr/local/lib/pulp/lib64/python3.6/site-packages/pulpcore/tasking/tasks.py", line 24, in \n from pulpcore.tasking import connection, constants, util\n File "/usr/local/lib/pulp/lib64/python3.6/site-packages/pulpcore/tasking/connection.py", line 1, in \n from rq.cli.helpers import get_redis_from_config\n File "/usr/local/lib/pulp/lib64/python3.6/site-packages/rq/cli/init.py", line 2, in \n from .cli import main\n File "/usr/local/lib/pulp/lib64/python3.6/site-packages/rq/cli/cli.py", line 98, in \n @pass_cli_config\n File "/usr/local/lib/pulp/lib64/python3.6/site-packages/rq/cli/cli.py", line 77, in pass_cli_config\n func = option(func)\n File "/usr/local/lib/pulp/lib64/python3.6/site-packages/click/decorators.py", line 247, in decorator\n _param_memo(f, OptionClass(param_decls, **option_attrs))\n File "/usr/local/lib/pulp/lib64/python3.6/site-packages/click/core.py", line 2467, in init\n super().init(param_decls, type=type, multiple=multiple, **attrs)\n File "/usr/local/lib/pulp/lib64/python3.6/site-packages/click/core.py", line 2108, in init\n ) from None\nValueError: 'default' must be a list when 'multiple' is true.", "stderr_lines": ["Traceback (most recent call last):", " File "/usr/local/lib/pulp/bin/pulpcore-manager", line 8, in ", " sys.exit(manage())", " File "/usr/local/lib/pulp/lib64/python3.6/site-packages/pulpcore/app/manage.py", line 11, in manage", " execute_from_command_line(sys.argv)", " File "/usr/local/lib/pulp/lib64/python3.6/site-packages/django/core/management/init.py", line 381, in execute_from_command_line", " utility.execute()", " File "/usr/local/lib/pulp/lib64/python3.6/site-packages/django/core/management/init.py", line 357, in execute", " django.setup()", " File "/usr/local/lib/pulp/lib64/python3.6/site-packages/django/init.py", line 24, in setup", " apps.populate(settings.INSTALLED_APPS)", " File "/usr/local/lib/pulp/lib64/python3.6/site-packages/django/apps/registry.py", line 122, in populate", " app_config.ready()", " File "/usr/local/lib/pulp/lib64/python3.6/site-packages/pulpcore/app/apps.py", line 189, in ready", " super().ready()", " File "/usr/local/lib/pulp/lib64/python3.6/site-packages/pulpcore/app/apps.py", line 94, in ready", " self.import_viewsets()", " File "/usr/local/lib/pulp/lib64/python3.6/site-packages/pulpcore/app/apps.py", line 127, in import_viewsets", " from pulpcore.app.viewsets import NamedModelViewSet", " File "/usr/local/lib/pulp/lib64/python3.6/site-packages/pulpcore/app/viewsets/init.py", line 1, in ", " from .base import ( # noqa", " File "/usr/local/lib/pulp/lib64/python3.6/site-packages/pulpcore/app/viewsets/base.py", line 17, in ", " from pulpcore.app import tasks", " File "/usr/local/lib/pulp/lib64/python3.6/site-packages/pulpcore/app/tasks/init.py", line 5, in ", " from .importer import pulp_import # noqa", " File "/usr/local/lib/pulp/lib64/python3.6/site-packages/pulpcore/app/tasks/importer.py", line 37, in ", " from pulpcore.tasking.tasks import dispatch", " File "/usr/local/lib/pulp/lib64/python3.6/site-packages/pulpcore/tasking/tasks.py", line 24, in ", " from pulpcore.tasking import connection, constants, util", " File "/usr/local/lib/pulp/lib64/python3.6/site-packages/pulpcore/tasking/connection.py", line 1, in ", " from rq.cli.helpers import get_redis_from_config", " File "/usr/local/lib/pulp/lib64/python3.6/site-packages/rq/cli/init.py", line 2, in ", " from .cli import main", " File "/usr/local/lib/pulp/lib64/python3.6/site-packages/rq/cli/cli.py", line 98, in ", " @pass_cli_config", " File "/usr/local/lib/pulp/lib64/python3.6/site-packages/rq/cli/cli.py", line 77, in pass_cli_config", " func = option(func)", " File "/usr/local/lib/pulp/lib64/python3.6/site-packages/click/decorators.py", line 247, in decorator", " _param_memo(f, OptionClass(param_decls, **option_attrs))", " File "/usr/local/lib/pulp/lib64/python3.6/site-packages/click/core.py", line 2467, in init", " super().init(param_decls, type=type, multiple=multiple, **attrs)", " File "/usr/local/lib/pulp/lib64/python3.6/site-packages/click/core.py", line 2108, in init", " ) from None", "ValueError: 'default' must be a list when 'multiple' is true."], "stdout": "", "stdout_lines": []}


Related issues

Is duplicate of Pulp - Issue #8743: Ansible playbooks fail on database migrations due to click versionCLOSED - NOTABUG<a title="Actions" class="icon-only icon-actions js-contextmenu" href="#">Actions</a>

History

#1 Updated by mdepaulo@redhat.com 8 months ago

  • Is duplicate of Issue #8743: Ansible playbooks fail on database migrations due to click version added

#2 Updated by mdepaulo@redhat.com 8 months ago

  • Status changed from NEW to CLOSED - DUPLICATE

Sorry you ran into this is issue.

We will fix it as part of #8743 .

#3 Updated by fao89 8 months ago

It is related to click 8.0.0, rq just released a new version that is compatible with click 8.0.0 https://github.com/rq/rq/releases/tag/v1.8.1

Problem should be solved with this new rq release, if not, please let us know which installer/pulpcore version are you using

Also available in: Atom PDF